Bug 36461 - No vertical scrollbar after the CSS class change
Summary: No vertical scrollbar after the CSS class change
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Shinichiro Hamaji
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-22 13:27 PDT by Nickolay
Modified: 2010-05-19 04:42 PDT (History)
4 users (show)

See Also:


Attachments
test case (1.53 KB, text/html)
2010-03-22 13:27 PDT, Nickolay
no flags Details
Patch v1 (87.55 KB, patch)
2010-03-29 10:21 PDT, Shinichiro Hamaji
no flags Details | Formatted Diff | Diff
Patch v2 (37.19 KB, patch)
2010-03-29 11:00 PDT, Shinichiro Hamaji
no flags Details | Formatted Diff | Diff
Patch v2 - rebased (37.27 KB, patch)
2010-03-29 11:07 PDT, Shinichiro Hamaji
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nickolay 2010-03-22 13:27:24 PDT
The vertical scrollbar do not appears after the CSS class which suppress them gets removed.

Attaching the test case. It fails on latests Safari for Windows, and Chrome for Ubuntu.

The case contains a long text with vertical scrollbar, initially suppressed by css class. 
After pressing 'Unmask' the css class is being removed, but no scrollbars appears.

Regards, Nickolay
Comment 1 Nickolay 2010-03-22 13:27:52 PDT
Created attachment 51340 [details]
test case
Comment 2 Shinichiro Hamaji 2010-03-29 10:21:48 PDT
Created attachment 51925 [details]
Patch v1
Comment 3 Shinichiro Hamaji 2010-03-29 10:23:49 PDT
A few info in addition to WebCore/ChangeLog in my patch:

- This issue also happens with horizontal scrollbars
- I guess this was introduced in http://trac.webkit.org/changeset/5085 (so I'm CCing dhyatt)
- I've confirmed my testcase doesn't show scrollbars without this patch
Comment 4 Simon Fraser (smfr) 2010-03-29 10:47:21 PDT
Your testcase doesn't have to contain so much text. It could be just <div style="height: 1000px">
Comment 5 Shinichiro Hamaji 2010-03-29 11:00:58 PDT
Created attachment 51931 [details]
Patch v2
Comment 6 Shinichiro Hamaji 2010-03-29 11:07:13 PDT
Created attachment 51932 [details]
Patch v2 - rebased
Comment 7 Shinichiro Hamaji 2010-03-29 11:09:07 PDT
(In reply to comment #4)
> Your testcase doesn't have to contain so much text. It could be just <div
> style="height: 1000px">

Thanks for the comment! I've fixed my test case (and rebased to avoid purple bot status).
Comment 8 Dave Hyatt 2010-03-29 11:10:51 PDT
Comment on attachment 51931 [details]
Patch v2

r=me
Comment 9 Dave Hyatt 2010-03-29 11:11:11 PDT
Comment on attachment 51932 [details]
Patch v2 - rebased

r=me
Comment 10 Eric Seidel (no email) 2010-03-29 11:39:54 PDT
Attachment 51932 [details] was posted by a committer and has review+, assigning to Shinichiro Hamaji for commit.
Comment 11 Shinichiro Hamaji 2010-03-29 21:35:43 PDT
Thanks for your quick reviews!
Comment 12 Shinichiro Hamaji 2010-03-29 23:15:43 PDT
Committed r56764: <http://trac.webkit.org/changeset/56764>
Comment 13 Nickolay 2010-05-19 04:42:36 PDT
Please check also the closely related bug:
https://bugs.webkit.org/show_bug.cgi?id=39284

Seems this issue was fixed only on 50%.

Regards, Nickolay